petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecScatterSetFromOptions

Configures the vector scatter from the options database.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecScatterSetFromOptions(VecScatter vscat)

Collective on VecScatter

### Input Parameter

vscat -The vector scatter

### Notes

To see all options, run your program with the -help option, or consult the users manual. Must be called after VecScatterCreate() but before the vector scatter is used.

### Keywords

VecScatter, set, options, database

### See Also

VecScatterCreate()

### Level

beginner

### Location

src/vec/vscat/interface/vscreate.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages